Skip to main content
PATCH
/
organizations
/
{organization_id}
Update Org
curl --request PATCH \
  --url https://preview.intermezzo.ai/organizations/{organization_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validateLegalNameAgainstBlacklist": true,
  "legalName": "<string>",
  "registrationCountry": "DE",
  "address": "<string>",
  "correspondenceAddress": "<string>",
  "dbaName": "<string>",
  "incorporationDate": "2023-12-25",
  "website": "<string>",
  "externalRef": "<string>"
}
'
import requests

url = "https://preview.intermezzo.ai/organizations/{organization_id}"

payload = {
"validateLegalNameAgainstBlacklist": True,
"legalName": "<string>",
"registrationCountry": "DE",
"address": "<string>",
"correspondenceAddress": "<string>",
"dbaName": "<string>",
"incorporationDate": "2023-12-25",
"website": "<string>",
"externalRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
validateLegalNameAgainstBlacklist: true,
legalName: '<string>',
registrationCountry: 'DE',
address: '<string>',
correspondenceAddress: '<string>',
dbaName: '<string>',
incorporationDate: '2023-12-25',
website: '<string>',
externalRef: '<string>'
})
};

fetch('https://preview.intermezzo.ai/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "legalName": "<string>",
  "address": {
    "id": "<string>",
    "address": "<string>",
    "components": {
      "formatted_address": "<string>",
      "street_number": "<string>",
      "road": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_code_suffix": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "content": {
      "normalizedAddress": "<string>",
      "countryCode": "DE",
      "addressType": "HAUSANSCHRIFT"
    }
  },
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "workSites": [
    {
      "name": "<string>",
      "address": {
        "id": "<string>",
        "address": "<string>",
        "components": {
          "formatted_address": "<string>",
          "street_number": "<string>",
          "road": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postal_code": "<string>",
          "postal_code_suffix": "<string>",
          "latitude": 123,
          "longitude": 123
        },
        "content": {
          "normalizedAddress": "<string>",
          "countryCode": "DE",
          "addressType": "HAUSANSCHRIFT"
        }
      },
      "isActive": true,
      "isPrimary": true,
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "correspondenceAddress": {
        "id": "<string>",
        "address": "<string>",
        "components": {
          "formatted_address": "<string>",
          "street_number": "<string>",
          "road": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postal_code": "<string>",
          "postal_code_suffix": "<string>",
          "latitude": 123,
          "longitude": 123
        },
        "content": {
          "normalizedAddress": "<string>",
          "countryCode": "DE",
          "addressType": "HAUSANSCHRIFT"
        }
      },
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "orgId": "<string>",
      "contacts": [
        {
          "name": "<string>",
          "id": "<string>",
          "email": "jsmith@example.com",
          "phone": {
            "phoneNumber": "<string>"
          },
          "roles": []
        }
      ],
      "taxIdentifiers": {
        "id": 123,
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "taxData": {
          "country": "<string>",
          "validFrom": "2023-12-25",
          "validTo": "2023-12-25",
          "taxNumber": "<string>",
          "isEmployeeFlatTax": false,
          "isEmployeeMiniJobFlatTax": false
        }
      },
      "insuranceData": {
        "id": 123,
        "validFrom": "2023-12-25",
        "validTo": "2023-12-25",
        "insuranceCountry": "DE",
        "worksiteLocationNumber": "98797889",
        "accidentInsuranceCompanyNumber": "98797889",
        "accidentInsurancePin": "DE-WS-PIN-456",
        "payrollServiceProviderNumber": "98797889",
        "payrollProcessingLocationNumber": "98797889"
      }
    }
  ],
  "bankAccounts": [
    {
      "financialInstitutionName": "<string>",
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "accountNumber": "DE: DE89370400440532013000",
      "routingNumber": "DE: 370400440",
      "iban": "DE: DE89370400440532013000",
      "swiftCode": "DE: COBADEFFXXX",
      "accountDetails": {},
      "isActive": true,
      "isPrimary": false
    }
  ],
  "preferences": {
    "id": 123,
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "isInsolvent": false,
    "insolvencyStartDate": "2023-12-25",
    "insolvencyEndDate": "2023-12-25",
    "insolvencyCompanyNumber": "<string>",
    "extraPaidLeaveDays": 123,
    "firstPayrollDate": "2023-12-25",
    "lastPayrollDate": "2023-12-25",
    "firstPayrollIntermezzo": "2023-12-25",
    "logoId": "<string>",
    "preferencesCountry": "DE",
    "insuranceCreditPreference": "<string>",
    "daysForSicknessCertificate": 4
  },
  "correspondenceAddress": {
    "id": "<string>",
    "address": "<string>",
    "components": {
      "formatted_address": "<string>",
      "street_number": "<string>",
      "road": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_code_suffix": "<string>",
      "latitude": 123,
      "longitude": 123
    },
    "content": {
      "normalizedAddress": "<string>",
      "countryCode": "DE",
      "addressType": "HAUSANSCHRIFT"
    }
  },
  "dbaName": "<string>",
  "incorporationDate": "2023-12-25",
  "website": "<string>",
  "externalRef": "<string>",
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "shutdownDate": "2023-12-25",
  "contacts": [
    {
      "name": "<string>",
      "id": "<string>",
      "email": "jsmith@example.com",
      "phone": {
        "phoneNumber": "<string>"
      },
      "roles": []
    }
  ],
  "taxIdentifiers": {
    "id": 123,
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "taxData": {
      "country": "<string>",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "taxNumber": "<string>",
      "isEmployeeFlatTax": false,
      "isEmployeeMiniJobFlatTax": false
    }
  },
  "insuranceData": {
    "id": 123,
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "insuranceCountry": "DE",
    "companyNumber": "98797889",
    "unrs": "DE987654321",
    "accidentInsuranceCompanyNumber": "98797889",
    "accidentInsurancePin": "12345",
    "payrollServiceProviderNumber": "98797889",
    "payrollProcessingLocationNumber": "98797889",
    "u1Selected": false,
    "u2Selected": false,
    "u3Selected": false,
    "agencyId": "<string>",
    "alternateAgencyId": "<string>",
    "contactId": "<string>"
  },
  "sepaMandates": [
    {
      "creditorId": "<string>",
      "bankAccountId": "<string>",
      "isRecurring": true,
      "id": "<string>",
      "createdBy": "<string>",
      "validFrom": "2023-12-25",
      "validTo": "2023-12-25",
      "mandateReference": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required

Body

application/json

Whether or not the legal name should be checked for terms on blacklist

registrationCountry
string
default:DE
Allowed value: "DE"
address
correspondenceAddress
dbaName
string | null
incorporationDate
string<date> | null
website
string | null
externalRef
string | null

Response

Successful Response

registrationCountry
enum<string>
required

Enum for CountryAlpha2 codes

Available options:
DE,
IE,
GB,
US,
GB
address
AddressResponse · object
required
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
workSites
WorksiteResponse · object[] | null
required
bankAccounts
BankAccountResponse · object[] | null
required
preferences
DEOrganizationPreferencesResponse · object
required
correspondenceAddress
AddressResponse · object | null
dbaName
string | null
incorporationDate
string<date> | null
website
string | null
externalRef
string | null
Maximum string length: 255
validFrom
string<date> | null
validTo
string<date> | null
shutdownDate
string<date> | null
contacts
ContactResponse · object[] | null
taxIdentifiers
TaxIdentifiersResponse · object | null
insuranceData
DEOrganizationInsuranceDetailsResponse · object
sepaMandates
SepaMandateResponse · object[]